1# Makefile.in generated by automake 1.16.3 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2020 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17
18VPATH = @srcdir@
19am__is_gnu_make = { \
20  if test -z '$(MAKELEVEL)'; then \
21    false; \
22  elif test -n '$(MAKE_HOST)'; then \
23    true; \
24  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25    true; \
26  else \
27    false; \
28  fi; \
29}
30am__make_running_with_option = \
31  case $${target_option-} in \
32      ?) ;; \
33      *) echo "am__make_running_with_option: internal error: invalid" \
34              "target option '$${target_option-}' specified" >&2; \
35         exit 1;; \
36  esac; \
37  has_opt=no; \
38  sane_makeflags=$$MAKEFLAGS; \
39  if $(am__is_gnu_make); then \
40    sane_makeflags=$$MFLAGS; \
41  else \
42    case $$MAKEFLAGS in \
43      *\\[\ \	]*) \
44        bs=\\; \
45        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
47    esac; \
48  fi; \
49  skip_next=no; \
50  strip_trailopt () \
51  { \
52    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53  }; \
54  for flg in $$sane_makeflags; do \
55    test $$skip_next = yes && { skip_next=no; continue; }; \
56    case $$flg in \
57      *=*|--*) continue;; \
58        -*I) strip_trailopt 'I'; skip_next=yes;; \
59      -*I?*) strip_trailopt 'I';; \
60        -*O) strip_trailopt 'O'; skip_next=yes;; \
61      -*O?*) strip_trailopt 'O';; \
62        -*l) strip_trailopt 'l'; skip_next=yes;; \
63      -*l?*) strip_trailopt 'l';; \
64      -[dEDm]) skip_next=yes;; \
65      -[JT]) skip_next=yes;; \
66    esac; \
67    case $$flg in \
68      *$$target_option*) has_opt=yes; break;; \
69    esac; \
70  done; \
71  test $$has_opt = yes
72am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74pkgdatadir = $(datadir)/@PACKAGE@
75pkgincludedir = $(includedir)/@PACKAGE@
76pkglibdir = $(libdir)/@PACKAGE@
77pkglibexecdir = $(libexecdir)/@PACKAGE@
78am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79install_sh_DATA = $(install_sh) -c -m 644
80install_sh_PROGRAM = $(install_sh) -c
81install_sh_SCRIPT = $(install_sh) -c
82INSTALL_HEADER = $(INSTALL_DATA)
83transform = $(program_transform_name)
84NORMAL_INSTALL = :
85PRE_INSTALL = :
86POST_INSTALL = :
87NORMAL_UNINSTALL = :
88PRE_UNINSTALL = :
89POST_UNINSTALL = :
90build_triplet = @build@
91host_triplet = @host@
92check_PROGRAMS = test$(EXEEXT)
93subdir = err
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/configure.ac
96am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
97	$(ACLOCAL_M4)
98DIST_COMMON = $(srcdir)/Makefile.am $(pkginclude_HEADERS) \
99	$(am__DIST_COMMON)
100mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
101CONFIG_HEADER = $(top_builddir)/config.h
102CONFIG_CLEAN_FILES =
103CONFIG_CLEAN_VPATH_FILES =
104LTLIBRARIES = $(noinst_LTLIBRARIES)
105libgslerr_la_LIBADD =
106am_libgslerr_la_OBJECTS = error.lo stream.lo message.lo strerror.lo
107libgslerr_la_OBJECTS = $(am_libgslerr_la_OBJECTS)
108AM_V_lt = $(am__v_lt_@AM_V@)
109am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
110am__v_lt_0 = --silent
111am__v_lt_1 =
112am_test_OBJECTS = test.$(OBJEXT)
113test_OBJECTS = $(am_test_OBJECTS)
114test_DEPENDENCIES = libgslerr.la ../test/libgsltest.la \
115	../sys/libgslsys.la ../utils/libutils.la
116AM_V_P = $(am__v_P_@AM_V@)
117am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
118am__v_P_0 = false
119am__v_P_1 = :
120AM_V_GEN = $(am__v_GEN_@AM_V@)
121am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
122am__v_GEN_0 = @echo "  GEN     " $@;
123am__v_GEN_1 =
124AM_V_at = $(am__v_at_@AM_V@)
125am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
126am__v_at_0 = @
127am__v_at_1 =
128DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
129depcomp = $(SHELL) $(top_srcdir)/depcomp
130am__maybe_remake_depfiles = depfiles
131am__depfiles_remade = ./$(DEPDIR)/error.Plo ./$(DEPDIR)/message.Plo \
132	./$(DEPDIR)/stream.Plo ./$(DEPDIR)/strerror.Plo \
133	./$(DEPDIR)/test.Po
134am__mv = mv -f
135COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
136	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
137LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
138	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
139	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
140	$(AM_CFLAGS) $(CFLAGS)
141AM_V_CC = $(am__v_CC_@AM_V@)
142am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
143am__v_CC_0 = @echo "  CC      " $@;
144am__v_CC_1 =
145CCLD = $(CC)
146LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
147	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
148	$(AM_LDFLAGS) $(LDFLAGS) -o $@
149AM_V_CCLD = $(am__v_CCLD_@AM_V@)
150am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
151am__v_CCLD_0 = @echo "  CCLD    " $@;
152am__v_CCLD_1 =
153SOURCES = $(libgslerr_la_SOURCES) $(test_SOURCES)
154DIST_SOURCES = $(libgslerr_la_SOURCES) $(test_SOURCES)
155am__can_run_installinfo = \
156  case $$AM_UPDATE_INFO_DIR in \
157    n|no|NO) false;; \
158    *) (install-info --version) >/dev/null 2>&1;; \
159  esac
160am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
161am__vpath_adj = case $$p in \
162    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
163    *) f=$$p;; \
164  esac;
165am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
166am__install_max = 40
167am__nobase_strip_setup = \
168  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
169am__nobase_strip = \
170  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
171am__nobase_list = $(am__nobase_strip_setup); \
172  for p in $$list; do echo "$$p $$p"; done | \
173  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
174  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
175    if (++n[$$2] == $(am__install_max)) \
176      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
177    END { for (dir in files) print dir, files[dir] }'
178am__base_list = \
179  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
180  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
181am__uninstall_files_from_dir = { \
182  test -z "$$files" \
183    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
184    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
185         $(am__cd) "$$dir" && rm -f $$files; }; \
186  }
187am__installdirs = "$(DESTDIR)$(pkgincludedir)"
188HEADERS = $(pkginclude_HEADERS)
189am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
190# Read a list of newline-separated strings from the standard input,
191# and print each of them once, without duplicates.  Input order is
192# *not* preserved.
193am__uniquify_input = $(AWK) '\
194  BEGIN { nonempty = 0; } \
195  { items[$$0] = 1; nonempty = 1; } \
196  END { if (nonempty) { for (i in items) print i; }; } \
197'
198# Make sure the list of sources is unique.  This is necessary because,
199# e.g., the same source file might be shared among _SOURCES variables
200# for different programs/libraries.
201am__define_uniq_tagged_files = \
202  list='$(am__tagged_files)'; \
203  unique=`for i in $$list; do \
204    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
205  done | $(am__uniquify_input)`
206ETAGS = etags
207CTAGS = ctags
208am__tty_colors_dummy = \
209  mgn= red= grn= lgn= blu= brg= std=; \
210  am__color_tests=no
211am__tty_colors = { \
212  $(am__tty_colors_dummy); \
213  if test "X$(AM_COLOR_TESTS)" = Xno; then \
214    am__color_tests=no; \
215  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
216    am__color_tests=yes; \
217  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
218    am__color_tests=yes; \
219  fi; \
220  if test $$am__color_tests = yes; then \
221    red=''; \
222    grn=''; \
223    lgn=''; \
224    blu=''; \
225    mgn=''; \
226    brg=''; \
227    std=''; \
228  fi; \
229}
230am__recheck_rx = ^[ 	]*:recheck:[ 	]*
231am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
232am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
233# A command that, given a newline-separated list of test names on the
234# standard input, print the name of the tests that are to be re-run
235# upon "make recheck".
236am__list_recheck_tests = $(AWK) '{ \
237  recheck = 1; \
238  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
239    { \
240      if (rc < 0) \
241        { \
242          if ((getline line2 < ($$0 ".log")) < 0) \
243	    recheck = 0; \
244          break; \
245        } \
246      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
247        { \
248          recheck = 0; \
249          break; \
250        } \
251      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
252        { \
253          break; \
254        } \
255    }; \
256  if (recheck) \
257    print $$0; \
258  close ($$0 ".trs"); \
259  close ($$0 ".log"); \
260}'
261# A command that, given a newline-separated list of test names on the
262# standard input, create the global log from their .trs and .log files.
263am__create_global_log = $(AWK) ' \
264function fatal(msg) \
265{ \
266  print "fatal: making $@: " msg | "cat >&2"; \
267  exit 1; \
268} \
269function rst_section(header) \
270{ \
271  print header; \
272  len = length(header); \
273  for (i = 1; i <= len; i = i + 1) \
274    printf "="; \
275  printf "\n\n"; \
276} \
277{ \
278  copy_in_global_log = 1; \
279  global_test_result = "RUN"; \
280  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
281    { \
282      if (rc < 0) \
283         fatal("failed to read from " $$0 ".trs"); \
284      if (line ~ /$(am__global_test_result_rx)/) \
285        { \
286          sub("$(am__global_test_result_rx)", "", line); \
287          sub("[ 	]*$$", "", line); \
288          global_test_result = line; \
289        } \
290      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
291        copy_in_global_log = 0; \
292    }; \
293  if (copy_in_global_log) \
294    { \
295      rst_section(global_test_result ": " $$0); \
296      while ((rc = (getline line < ($$0 ".log"))) != 0) \
297      { \
298        if (rc < 0) \
299          fatal("failed to read from " $$0 ".log"); \
300        print line; \
301      }; \
302      printf "\n"; \
303    }; \
304  close ($$0 ".trs"); \
305  close ($$0 ".log"); \
306}'
307# Restructured Text title.
308am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
309# Solaris 10 'make', and several other traditional 'make' implementations,
310# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
311# by disabling -e (using the XSI extension "set +e") if it's set.
312am__sh_e_setup = case $$- in *e*) set +e;; esac
313# Default flags passed to test drivers.
314am__common_driver_flags = \
315  --color-tests "$$am__color_tests" \
316  --enable-hard-errors "$$am__enable_hard_errors" \
317  --expect-failure "$$am__expect_failure"
318# To be inserted before the command running the test.  Creates the
319# directory for the log if needed.  Stores in $dir the directory
320# containing $f, in $tst the test, in $log the log.  Executes the
321# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
322# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
323# will run the test scripts (or their associated LOG_COMPILER, if
324# thy have one).
325am__check_pre = \
326$(am__sh_e_setup);					\
327$(am__vpath_adj_setup) $(am__vpath_adj)			\
328$(am__tty_colors);					\
329srcdir=$(srcdir); export srcdir;			\
330case "$@" in						\
331  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
332    *) am__odir=.;; 					\
333esac;							\
334test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
335  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
336if test -f "./$$f"; then dir=./;			\
337elif test -f "$$f"; then dir=;				\
338else dir="$(srcdir)/"; fi;				\
339tst=$$dir$$f; log='$@'; 				\
340if test -n '$(DISABLE_HARD_ERRORS)'; then		\
341  am__enable_hard_errors=no; 				\
342else							\
343  am__enable_hard_errors=yes; 				\
344fi; 							\
345case " $(XFAIL_TESTS) " in				\
346  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
347    am__expect_failure=yes;;				\
348  *)							\
349    am__expect_failure=no;;				\
350esac; 							\
351$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
352# A shell command to get the names of the tests scripts with any registered
353# extension removed (i.e., equivalently, the names of the test logs, with
354# the '.log' extension removed).  The result is saved in the shell variable
355# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
356# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
357# since that might cause problem with VPATH rewrites for suffix-less tests.
358# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
359am__set_TESTS_bases = \
360  bases='$(TEST_LOGS)'; \
361  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
362  bases=`echo $$bases`
363AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
364RECHECK_LOGS = $(TEST_LOGS)
365AM_RECURSIVE_TARGETS = check recheck
366TEST_SUITE_LOG = test-suite.log
367TEST_EXTENSIONS = @EXEEXT@ .test
368LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
369LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
370am__set_b = \
371  case '$@' in \
372    */*) \
373      case '$*' in \
374        */*) b='$*';; \
375          *) b=`echo '$@' | sed 's/\.log$$//'`; \
376       esac;; \
377    *) \
378      b='$*';; \
379  esac
380am__test_logs1 = $(TESTS:=.log)
381am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
382TEST_LOGS = $(am__test_logs2:.test.log=.log)
383TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
384TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
385	$(TEST_LOG_FLAGS)
386am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp \
387	$(top_srcdir)/mkinstalldirs $(top_srcdir)/test-driver \
388	ChangeLog TODO
389DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
390ACLOCAL = @ACLOCAL@
391AMTAR = @AMTAR@
392AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
393AR = @AR@
394AS = @AS@
395AUTOCONF = @AUTOCONF@
396AUTOHEADER = @AUTOHEADER@
397AUTOMAKE = @AUTOMAKE@
398AWK = @AWK@
399CC = @CC@
400CCDEPMODE = @CCDEPMODE@
401CFLAGS = @CFLAGS@
402CPP = @CPP@
403CPPFLAGS = @CPPFLAGS@
404CYGPATH_W = @CYGPATH_W@
405DEFS = @DEFS@
406DEPDIR = @DEPDIR@
407DLLTOOL = @DLLTOOL@
408DSYMUTIL = @DSYMUTIL@
409DUMPBIN = @DUMPBIN@
410ECHO_C = @ECHO_C@
411ECHO_N = @ECHO_N@
412ECHO_T = @ECHO_T@
413EGREP = @EGREP@
414EXEEXT = @EXEEXT@
415FGREP = @FGREP@
416GREP = @GREP@
417GSLCBLAS_LDFLAGS = @GSLCBLAS_LDFLAGS@
418GSL_CFLAGS = @GSL_CFLAGS@
419GSL_LDFLAGS = @GSL_LDFLAGS@
420GSL_LIBADD = @GSL_LIBADD@
421GSL_LIBM = @GSL_LIBM@
422GSL_LIBS = @GSL_LIBS@
423GSL_LT_CBLAS_VERSION = @GSL_LT_CBLAS_VERSION@
424GSL_LT_VERSION = @GSL_LT_VERSION@
425GSL_MAJOR_VERSION = @GSL_MAJOR_VERSION@
426GSL_MINOR_VERSION = @GSL_MINOR_VERSION@
427HAVE_AIX_IEEE_INTERFACE = @HAVE_AIX_IEEE_INTERFACE@
428HAVE_DARWIN86_IEEE_INTERFACE = @HAVE_DARWIN86_IEEE_INTERFACE@
429HAVE_DARWIN_IEEE_INTERFACE = @HAVE_DARWIN_IEEE_INTERFACE@
430HAVE_FREEBSD_IEEE_INTERFACE = @HAVE_FREEBSD_IEEE_INTERFACE@
431HAVE_GNUM68K_IEEE_INTERFACE = @HAVE_GNUM68K_IEEE_INTERFACE@
432HAVE_GNUPPC_IEEE_INTERFACE = @HAVE_GNUPPC_IEEE_INTERFACE@
433HAVE_GNUSPARC_IEEE_INTERFACE = @HAVE_GNUSPARC_IEEE_INTERFACE@
434HAVE_GNUX86_IEEE_INTERFACE = @HAVE_GNUX86_IEEE_INTERFACE@
435HAVE_HPUX11_IEEE_INTERFACE = @HAVE_HPUX11_IEEE_INTERFACE@
436HAVE_HPUX_IEEE_INTERFACE = @HAVE_HPUX_IEEE_INTERFACE@
437HAVE_IRIX_IEEE_INTERFACE = @HAVE_IRIX_IEEE_INTERFACE@
438HAVE_NETBSD_IEEE_INTERFACE = @HAVE_NETBSD_IEEE_INTERFACE@
439HAVE_OPENBSD_IEEE_INTERFACE = @HAVE_OPENBSD_IEEE_INTERFACE@
440HAVE_OS2EMX_IEEE_INTERFACE = @HAVE_OS2EMX_IEEE_INTERFACE@
441HAVE_SOLARIS_IEEE_INTERFACE = @HAVE_SOLARIS_IEEE_INTERFACE@
442HAVE_SUNOS4_IEEE_INTERFACE = @HAVE_SUNOS4_IEEE_INTERFACE@
443HAVE_TRU64_IEEE_INTERFACE = @HAVE_TRU64_IEEE_INTERFACE@
444INSTALL = @INSTALL@
445INSTALL_DATA = @INSTALL_DATA@
446INSTALL_PROGRAM = @INSTALL_PROGRAM@
447INSTALL_SCRIPT = @INSTALL_SCRIPT@
448INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
449LD = @LD@
450LDFLAGS = @LDFLAGS@
451LIBM = @LIBM@
452LIBOBJS = @LIBOBJS@
453LIBS = @LIBS@
454LIBTOOL = @LIBTOOL@
455LIPO = @LIPO@
456LN_S = @LN_S@
457LTLIBOBJS = @LTLIBOBJS@
458LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
459MAINT = @MAINT@
460MAKEINFO = @MAKEINFO@
461MANIFEST_TOOL = @MANIFEST_TOOL@
462MKDIR_P = @MKDIR_P@
463NM = @NM@
464NMEDIT = @NMEDIT@
465OBJDUMP = @OBJDUMP@
466OBJEXT = @OBJEXT@
467OTOOL = @OTOOL@
468OTOOL64 = @OTOOL64@
469PACKAGE = @PACKAGE@
470PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
471PACKAGE_NAME = @PACKAGE_NAME@
472PACKAGE_STRING = @PACKAGE_STRING@
473PACKAGE_TARNAME = @PACKAGE_TARNAME@
474PACKAGE_URL = @PACKAGE_URL@
475PACKAGE_VERSION = @PACKAGE_VERSION@
476PATH_SEPARATOR = @PATH_SEPARATOR@
477RANLIB = @RANLIB@
478SED = @SED@
479SET_MAKE = @SET_MAKE@
480SHELL = @SHELL@
481STRIP = @STRIP@
482VERSION = @VERSION@
483abs_builddir = @abs_builddir@
484abs_srcdir = @abs_srcdir@
485abs_top_builddir = @abs_top_builddir@
486abs_top_srcdir = @abs_top_srcdir@
487ac_ct_AR = @ac_ct_AR@
488ac_ct_CC = @ac_ct_CC@
489ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
490am__include = @am__include@
491am__leading_dot = @am__leading_dot@
492am__quote = @am__quote@
493am__tar = @am__tar@
494am__untar = @am__untar@
495bindir = @bindir@
496build = @build@
497build_alias = @build_alias@
498build_cpu = @build_cpu@
499build_os = @build_os@
500build_vendor = @build_vendor@
501builddir = @builddir@
502datadir = @datadir@
503datarootdir = @datarootdir@
504docdir = @docdir@
505dvidir = @dvidir@
506exec_prefix = @exec_prefix@
507host = @host@
508host_alias = @host_alias@
509host_cpu = @host_cpu@
510host_os = @host_os@
511host_vendor = @host_vendor@
512htmldir = @htmldir@
513includedir = @includedir@
514infodir = @infodir@
515install_sh = @install_sh@
516libdir = @libdir@
517libexecdir = @libexecdir@
518localedir = @localedir@
519localstatedir = @localstatedir@
520mandir = @mandir@
521mkdir_p = @mkdir_p@
522oldincludedir = @oldincludedir@
523pdfdir = @pdfdir@
524prefix = @prefix@
525program_transform_name = @program_transform_name@
526psdir = @psdir@
527runstatedir = @runstatedir@
528sbindir = @sbindir@
529sharedstatedir = @sharedstatedir@
530srcdir = @srcdir@
531sysconfdir = @sysconfdir@
532target_alias = @target_alias@
533top_build_prefix = @top_build_prefix@
534top_builddir = @top_builddir@
535top_srcdir = @top_srcdir@
536noinst_LTLIBRARIES = libgslerr.la
537pkginclude_HEADERS = gsl_errno.h gsl_message.h
538libgslerr_la_SOURCES = error.c stream.c message.c strerror.c
539TESTS = $(check_PROGRAMS)
540test_SOURCES = test.c
541test_LDADD = libgslerr.la ../test/libgsltest.la ../sys/libgslsys.la ../utils/libutils.la
542all: all-am
543
544.SUFFIXES:
545.SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
546$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
547	@for dep in $?; do \
548	  case '$(am__configure_deps)' in \
549	    *$$dep*) \
550	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
551	        && { if test -f $@; then exit 0; else break; fi; }; \
552	      exit 1;; \
553	  esac; \
554	done; \
555	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu err/Makefile'; \
556	$(am__cd) $(top_srcdir) && \
557	  $(AUTOMAKE) --gnu err/Makefile
558Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
559	@case '$?' in \
560	  *config.status*) \
561	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
562	  *) \
563	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
564	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
565	esac;
566
567$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
568	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
569
570$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
571	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
572$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
573	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
574$(am__aclocal_m4_deps):
575
576clean-checkPROGRAMS:
577	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
578	echo " rm -f" $$list; \
579	rm -f $$list || exit $$?; \
580	test -n "$(EXEEXT)" || exit 0; \
581	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
582	echo " rm -f" $$list; \
583	rm -f $$list
584
585clean-noinstLTLIBRARIES:
586	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
587	@list='$(noinst_LTLIBRARIES)'; \
588	locs=`for p in $$list; do echo $$p; done | \
589	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
590	      sort -u`; \
591	test -z "$$locs" || { \
592	  echo rm -f $${locs}; \
593	  rm -f $${locs}; \
594	}
595
596libgslerr.la: $(libgslerr_la_OBJECTS) $(libgslerr_la_DEPENDENCIES) $(EXTRA_libgslerr_la_DEPENDENCIES)
597	$(AM_V_CCLD)$(LINK)  $(libgslerr_la_OBJECTS) $(libgslerr_la_LIBADD) $(LIBS)
598
599test$(EXEEXT): $(test_OBJECTS) $(test_DEPENDENCIES) $(EXTRA_test_DEPENDENCIES)
600	@rm -f test$(EXEEXT)
601	$(AM_V_CCLD)$(LINK) $(test_OBJECTS) $(test_LDADD) $(LIBS)
602
603mostlyclean-compile:
604	-rm -f *.$(OBJEXT)
605
606distclean-compile:
607	-rm -f *.tab.c
608
609@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/error.Plo@am__quote@ # am--include-marker
610@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/message.Plo@am__quote@ # am--include-marker
611@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stream.Plo@am__quote@ # am--include-marker
612@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/strerror.Plo@am__quote@ # am--include-marker
613@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test.Po@am__quote@ # am--include-marker
614
615$(am__depfiles_remade):
616	@$(MKDIR_P) $(@D)
617	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
618
619am--depfiles: $(am__depfiles_remade)
620
621.c.o:
622@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
623@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
624@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
625@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
626@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
627
628.c.obj:
629@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
630@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
631@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
632@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
633@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
634
635.c.lo:
636@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
637@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
638@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
639@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
640@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
641
642mostlyclean-libtool:
643	-rm -f *.lo
644
645clean-libtool:
646	-rm -rf .libs _libs
647install-pkgincludeHEADERS: $(pkginclude_HEADERS)
648	@$(NORMAL_INSTALL)
649	@list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
650	if test -n "$$list"; then \
651	  echo " $(MKDIR_P) '$(DESTDIR)$(pkgincludedir)'"; \
652	  $(MKDIR_P) "$(DESTDIR)$(pkgincludedir)" || exit 1; \
653	fi; \
654	for p in $$list; do \
655	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
656	  echo "$$d$$p"; \
657	done | $(am__base_list) | \
658	while read files; do \
659	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(pkgincludedir)'"; \
660	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(pkgincludedir)" || exit $$?; \
661	done
662
663uninstall-pkgincludeHEADERS:
664	@$(NORMAL_UNINSTALL)
665	@list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
666	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
667	dir='$(DESTDIR)$(pkgincludedir)'; $(am__uninstall_files_from_dir)
668
669ID: $(am__tagged_files)
670	$(am__define_uniq_tagged_files); mkid -fID $$unique
671tags: tags-am
672TAGS: tags
673
674tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
675	set x; \
676	here=`pwd`; \
677	$(am__define_uniq_tagged_files); \
678	shift; \
679	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
680	  test -n "$$unique" || unique=$$empty_fix; \
681	  if test $$# -gt 0; then \
682	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
683	      "$$@" $$unique; \
684	  else \
685	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
686	      $$unique; \
687	  fi; \
688	fi
689ctags: ctags-am
690
691CTAGS: ctags
692ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
693	$(am__define_uniq_tagged_files); \
694	test -z "$(CTAGS_ARGS)$$unique" \
695	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
696	     $$unique
697
698GTAGS:
699	here=`$(am__cd) $(top_builddir) && pwd` \
700	  && $(am__cd) $(top_srcdir) \
701	  && gtags -i $(GTAGS_ARGS) "$$here"
702cscopelist: cscopelist-am
703
704cscopelist-am: $(am__tagged_files)
705	list='$(am__tagged_files)'; \
706	case "$(srcdir)" in \
707	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
708	  *) sdir=$(subdir)/$(srcdir) ;; \
709	esac; \
710	for i in $$list; do \
711	  if test -f "$$i"; then \
712	    echo "$(subdir)/$$i"; \
713	  else \
714	    echo "$$sdir/$$i"; \
715	  fi; \
716	done >> $(top_builddir)/cscope.files
717
718distclean-tags:
719	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
720
721# Recover from deleted '.trs' file; this should ensure that
722# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
723# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
724# to avoid problems with "make -n".
725.log.trs:
726	rm -f $< $@
727	$(MAKE) $(AM_MAKEFLAGS) $<
728
729# Leading 'am--fnord' is there to ensure the list of targets does not
730# expand to empty, as could happen e.g. with make check TESTS=''.
731am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
732am--force-recheck:
733	@:
734
735$(TEST_SUITE_LOG): $(TEST_LOGS)
736	@$(am__set_TESTS_bases); \
737	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
738	redo_bases=`for i in $$bases; do \
739	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
740	            done`; \
741	if test -n "$$redo_bases"; then \
742	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
743	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
744	  if $(am__make_dryrun); then :; else \
745	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
746	  fi; \
747	fi; \
748	if test -n "$$am__remaking_logs"; then \
749	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
750	       "recursion detected" >&2; \
751	elif test -n "$$redo_logs"; then \
752	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
753	fi; \
754	if $(am__make_dryrun); then :; else \
755	  st=0;  \
756	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
757	  for i in $$redo_bases; do \
758	    test -f $$i.trs && test -r $$i.trs \
759	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
760	    test -f $$i.log && test -r $$i.log \
761	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
762	  done; \
763	  test $$st -eq 0 || exit 1; \
764	fi
765	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
766	ws='[ 	]'; \
767	results=`for b in $$bases; do echo $$b.trs; done`; \
768	test -n "$$results" || results=/dev/null; \
769	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
770	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
771	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
772	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
773	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
774	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
775	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
776	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
777	  success=true; \
778	else \
779	  success=false; \
780	fi; \
781	br='==================='; br=$$br$$br$$br$$br; \
782	result_count () \
783	{ \
784	    if test x"$$1" = x"--maybe-color"; then \
785	      maybe_colorize=yes; \
786	    elif test x"$$1" = x"--no-color"; then \
787	      maybe_colorize=no; \
788	    else \
789	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
790	    fi; \
791	    shift; \
792	    desc=$$1 count=$$2; \
793	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
794	      color_start=$$3 color_end=$$std; \
795	    else \
796	      color_start= color_end=; \
797	    fi; \
798	    echo "$${color_start}# $$desc $$count$${color_end}"; \
799	}; \
800	create_testsuite_report () \
801	{ \
802	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
803	  result_count $$1 "PASS: " $$pass  "$$grn"; \
804	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
805	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
806	  result_count $$1 "FAIL: " $$fail  "$$red"; \
807	  result_count $$1 "XPASS:" $$xpass "$$red"; \
808	  result_count $$1 "ERROR:" $$error "$$mgn"; \
809	}; \
810	{								\
811	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
812	    $(am__rst_title);						\
813	  create_testsuite_report --no-color;				\
814	  echo;								\
815	  echo ".. contents:: :depth: 2";				\
816	  echo;								\
817	  for b in $$bases; do echo $$b; done				\
818	    | $(am__create_global_log);					\
819	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
820	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
821	if $$success; then						\
822	  col="$$grn";							\
823	 else								\
824	  col="$$red";							\
825	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
826	fi;								\
827	echo "$${col}$$br$${std}"; 					\
828	echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}";	\
829	echo "$${col}$$br$${std}"; 					\
830	create_testsuite_report --maybe-color;				\
831	echo "$$col$$br$$std";						\
832	if $$success; then :; else					\
833	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
834	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
835	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
836	  fi;								\
837	  echo "$$col$$br$$std";					\
838	fi;								\
839	$$success || exit 1
840
841check-TESTS: $(check_PROGRAMS)
842	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
843	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
844	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
845	@set +e; $(am__set_TESTS_bases); \
846	log_list=`for i in $$bases; do echo $$i.log; done`; \
847	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
848	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
849	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
850	exit $$?;
851recheck: all $(check_PROGRAMS)
852	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
853	@set +e; $(am__set_TESTS_bases); \
854	bases=`for i in $$bases; do echo $$i; done \
855	         | $(am__list_recheck_tests)` || exit 1; \
856	log_list=`for i in $$bases; do echo $$i.log; done`; \
857	log_list=`echo $$log_list`; \
858	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
859	        am__force_recheck=am--force-recheck \
860	        TEST_LOGS="$$log_list"; \
861	exit $$?
862test.log: test$(EXEEXT)
863	@p='test$(EXEEXT)'; \
864	b='test'; \
865	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
866	--log-file $$b.log --trs-file $$b.trs \
867	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
868	"$$tst" $(AM_TESTS_FD_REDIRECT)
869.test.log:
870	@p='$<'; \
871	$(am__set_b); \
872	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
873	--log-file $$b.log --trs-file $$b.trs \
874	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
875	"$$tst" $(AM_TESTS_FD_REDIRECT)
876@am__EXEEXT_TRUE@.test$(EXEEXT).log:
877@am__EXEEXT_TRUE@	@p='$<'; \
878@am__EXEEXT_TRUE@	$(am__set_b); \
879@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
880@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
881@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
882@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
883
884distdir: $(BUILT_SOURCES)
885	$(MAKE) $(AM_MAKEFLAGS) distdir-am
886
887distdir-am: $(DISTFILES)
888	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
889	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
890	list='$(DISTFILES)'; \
891	  dist_files=`for file in $$list; do echo $$file; done | \
892	  sed -e "s|^$$srcdirstrip/||;t" \
893	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
894	case $$dist_files in \
895	  */*) $(MKDIR_P) `echo "$$dist_files" | \
896			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
897			   sort -u` ;; \
898	esac; \
899	for file in $$dist_files; do \
900	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
901	  if test -d $$d/$$file; then \
902	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
903	    if test -d "$(distdir)/$$file"; then \
904	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
905	    fi; \
906	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
907	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
908	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
909	    fi; \
910	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
911	  else \
912	    test -f "$(distdir)/$$file" \
913	    || cp -p $$d/$$file "$(distdir)/$$file" \
914	    || exit 1; \
915	  fi; \
916	done
917check-am: all-am
918	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
919	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
920check: check-am
921all-am: Makefile $(LTLIBRARIES) $(HEADERS)
922installdirs:
923	for dir in "$(DESTDIR)$(pkgincludedir)"; do \
924	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
925	done
926install: install-am
927install-exec: install-exec-am
928install-data: install-data-am
929uninstall: uninstall-am
930
931install-am: all-am
932	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
933
934installcheck: installcheck-am
935install-strip:
936	if test -z '$(STRIP)'; then \
937	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
938	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
939	      install; \
940	else \
941	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
942	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
943	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
944	fi
945mostlyclean-generic:
946	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
947	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
948	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
949
950clean-generic:
951
952distclean-generic:
953	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
954	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
955
956maintainer-clean-generic:
957	@echo "This command is intended for maintainers to use"
958	@echo "it deletes files that may require special tools to rebuild."
959clean: clean-am
960
961clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
962	clean-noinstLTLIBRARIES mostlyclean-am
963
964distclean: distclean-am
965		-rm -f ./$(DEPDIR)/error.Plo
966	-rm -f ./$(DEPDIR)/message.Plo
967	-rm -f ./$(DEPDIR)/stream.Plo
968	-rm -f ./$(DEPDIR)/strerror.Plo
969	-rm -f ./$(DEPDIR)/test.Po
970	-rm -f Makefile
971distclean-am: clean-am distclean-compile distclean-generic \
972	distclean-tags
973
974dvi: dvi-am
975
976dvi-am:
977
978html: html-am
979
980html-am:
981
982info: info-am
983
984info-am:
985
986install-data-am: install-pkgincludeHEADERS
987
988install-dvi: install-dvi-am
989
990install-dvi-am:
991
992install-exec-am:
993
994install-html: install-html-am
995
996install-html-am:
997
998install-info: install-info-am
999
1000install-info-am:
1001
1002install-man:
1003
1004install-pdf: install-pdf-am
1005
1006install-pdf-am:
1007
1008install-ps: install-ps-am
1009
1010install-ps-am:
1011
1012installcheck-am:
1013
1014maintainer-clean: maintainer-clean-am
1015		-rm -f ./$(DEPDIR)/error.Plo
1016	-rm -f ./$(DEPDIR)/message.Plo
1017	-rm -f ./$(DEPDIR)/stream.Plo
1018	-rm -f ./$(DEPDIR)/strerror.Plo
1019	-rm -f ./$(DEPDIR)/test.Po
1020	-rm -f Makefile
1021maintainer-clean-am: distclean-am maintainer-clean-generic
1022
1023mostlyclean: mostlyclean-am
1024
1025mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1026	mostlyclean-libtool
1027
1028pdf: pdf-am
1029
1030pdf-am:
1031
1032ps: ps-am
1033
1034ps-am:
1035
1036uninstall-am: uninstall-pkgincludeHEADERS
1037
1038.MAKE: check-am install-am install-strip
1039
1040.PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
1041	check-am clean clean-checkPROGRAMS clean-generic clean-libtool \
1042	clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1043	distclean-compile distclean-generic distclean-libtool \
1044	distclean-tags distdir dvi dvi-am html html-am info info-am \
1045	install install-am install-data install-data-am install-dvi \
1046	install-dvi-am install-exec install-exec-am install-html \
1047	install-html-am install-info install-info-am install-man \
1048	install-pdf install-pdf-am install-pkgincludeHEADERS \
1049	install-ps install-ps-am install-strip installcheck \
1050	installcheck-am installdirs maintainer-clean \
1051	maintainer-clean-generic mostlyclean mostlyclean-compile \
1052	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1053	recheck tags tags-am uninstall uninstall-am \
1054	uninstall-pkgincludeHEADERS
1055
1056.PRECIOUS: Makefile
1057
1058
1059# Tell versions [3.59,3.63) of GNU make to not export all variables.
1060# Otherwise a system limit (for SysV at least) may be exceeded.
1061.NOEXPORT:
1062